Skip to main content
`Ctrl`+`K`

# PetscViewersCreate

Creates a container to hold a set of `PetscViewer`’s. The container is essentially a sparse, growable in length array of `PetscViewer`s

## Synopsis

    PetscErrorCode PetscViewersCreate(MPI_Comm comm, PetscViewers *v)

Collective

## Input Parameter

- comm - the MPI communicator

## Output Parameter

- v - the collection of `PetscViewers`

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PetscViewers`, `PetscViewerCreate()`, `PetscViewersDestroy()`

## Level

intermediate

## Location

src/sys/classes/viewer/interface/viewers.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages